;;; ini t@C̎w
ini_file = %A_ScriptDir%\data\setting.ini



;;; g͕̎gp
;;; l 2

IniRead, UsingJapaneseLayout, %ini_file%, key, UsingJapaneseLayout
if UsingJapaneseLayout not between 1 and 3
{
	UsingJapaneseLayout = 2
	IniWrite, %UsingJapaneseLayout%, %ini_file%, key, UsingJapaneseLayout
}



;;; ̋Nɂǂ̔zgp邩
;;; l 1
IniRead, WhichEnglishLayout, %ini_file%, key, WhichEnglishLayout
if WhichEnglishLayout not between 1 and 6
{
	WhichEnglishLayout = 1
	IniWrite, %WhichEnglishLayout%, %ini_file%, key, WhichEnglishLayout
}


ListOfLayout =
		(Join| LTrim
				Dvorak z (blechmusik )
				Dvorak z (L)
				QWERTY z (OADG109A)
				QWERTY z (ANSI INCITS 154-1988)
				Colemak z
				ƎziAt@xbgŁj
		)

Loop, parse, ListOfLayout, |,
{
	If (WhichEnglishLayout = A_Index)
	{
		name_of_EnglishLayout := A_LoopField
	}
}


;;; pz
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0

IniRead, US_keyboard, %ini_file%, key, use US keyboard layout
if US_keyboard not in 0,1
{
	US_keyboard = 0
	IniWrite, %US_keyboard%, %ini_file%, key, use US keyboard layout
}


;;; _┼_PƂœ͂zgp
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0

IniRead, Is_kana_typing_mode, %ini_file%, key, Is_kana_typing_mode
if Is_kana_typing_mode not in 0,1
{
	Is_kana_typing_mode = 0
	IniWrite, %Is_kana_typing_mode%, %ini_file%, key, Is_kana_typing_mode
}



;;; g͕̑I
;;; l 1
IniRead, WhichJapaneseLayout, %ini_file%, key, Extended IM which
if (WhichJapaneseLayout = 2
	or WhichJapaneseLayout = 8
	or WhichJapaneseLayout = 11
	or WhichJapaneseLayout = 13
	or WhichJapaneseLayout = 15
	or WhichJapaneseLayout = 17
	or WhichJapaneseLayout not between 1 and 19)
{
	WhichJapaneseLayout = 1
	IniWrite, %WhichJapaneseLayout%, %ini_file%, key, Extended IM which
}


ListOfJapaneseLayout =
			(Join| LTrim
					ݒȂ
					---------
					DvorakJP
					DvorakY
					ACT09
					
					JLODz
					---------
					ʔz
					h艺ʔz
					---------
					p_z
					---------
					~z
					---------
					イ
					---------
					ƎziL[{[hzŁj
					Ǝzi[}ȕϊ\Łj
			)

Loop, parse, ListOfJapaneseLayout, |,
{
	If (WhichJapaneseLayout = A_Index)
	{
		name_of_JapaneseLayout := A_LoopField
	}
}


;;; DvorakJ p̃V[gJbgEL[Lɂ
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, Is_DvorakJ_shortcut_key, %ini_file%, key, replace Hyphen with Enter
if Is_DvorakJ_shortcut_key not in 0,1
{
	Is_DvorakJ_shortcut_key = 0
	IniWrite, %Is_DvorakJ_shortcut_key% , %ini_file%, key, replace Hyphen with Enter

}
; DvorakJ p̃V[gJbgEL[𖳌ɂȂAYzbgL[𖳌ɂ
If (Is_DvorakJ_shortcut_key = 0)
{
	Hotkey, ~LCtrl, Off
	Hotkey, ~RCtrl, Off
	Hotkey, +ScrollLock, Off
}


;;; Is_Shift_plus_Alphabet
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, Is_Shift_plus_Alphabet, %ini_file%, key, Is_Shift_plus_Alphabet
if Is_Shift_plus_Alphabet not in 0,1
{
	Is_Shift_plus_Alphabet = 0
	IniWrite, %Is_Shift_plus_Alphabet% , %ini_file%, key, Is_Shift_plus_Alphabet
}


;;; Is_skkime_mode
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, Is_skkime_mode, %ini_file%, key, Is_skkime_mode
if Is_skkime_mode not in 0,1
{
	Is_skkime_mode = 0
	IniWrite, %Is_skkime_mode% , %ini_file%, key, Is_skkime_mode
}



;;; Xy[XL[ɃVtgL[̋@\
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, SandS, %ini_file%, key, Space and Shift
if SandS not in 0,1
{
	SandS = 0
	IniWrite, %SandS% , %ini_file%, key, Space and Shift
}

If (SandS = 0)
{
	Loop, parse, ScanCode, |,
	{
		Hotkey, Space & sc0%A_LoopField%, Off
	}
}

;;; Ctrl L[ĂŒ QWERTY zɂ邩
;;; Ȃ 1
;;; ȂȂ 0 w肷
;;; l 0
IniRead, Is_Using_QWERTY_CTRL, %ini_file%, key, using QWERTY [CTRL]
if Is_Using_QWERTY_CTRL not in 0,1
{
	Is_Using_QWERTY_CTRL = 0
	IniWrite, %Is_Using_QWERTY_CTRL%, %ini_file%, key, using QWERTY [CTRL]
}



;;; Ctrl + Xy[XL[ IME ̗LƖ肩
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, IME_toggle_1, %ini_file%, key, Ctrl + Space
if IME_toggle_1 not in 0,1
{
	IME_toggle_1 = 0
	IniWrite, %IME_toggle_1% , %ini_file%, key, Ctrl + Space
}

IfEqual, IME_toggle_1, 0
{
	Hotkey, ^Space, Off
}

;;; Win + Xy[XL[ IME ̗LƖ肩
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, IME_toggle_2, %ini_file%, key, Win + Space
if IME_toggle_2 not in 0,1
{
	IME_toggle_2 = 0
	IniWrite, %IME_toggle_2% , %ini_file%, key, Win + Space
}

IfEqual, IME_toggle_1, 0
{
	Hotkey, #Space, Off
}


;;; Alt + Xy[XL[ IME ̗LƖ肩
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, IME_toggle_3, %ini_file%, key, Alt + Space
if IME_toggle_3 not in 0,1
{
	IME_toggle_3 = 0
	IniWrite, %IME_toggle_3% , %ini_file%, key, Alt + Space
}

IfEqual, IME_toggle_3, 0
{
	Hotkey, !Space, Off
}


;;; Alt + pL[ IME ̗LƖ肩ipzpj
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, IME_toggle_4, %ini_file%, key, Alt + `
if IME_toggle_4 not in 0,1
{
	IME_toggle_4 = 0
	IniWrite, %IME_toggle_4% , %ini_file%, key, Alt + `
}

IfEqual, IME_toggle_4, 0
{
	Hotkey, !sc02B, Off
}

;;; ϊL[ + ϊL[ IME ̗LƖ肩i{zpj
;;; ɂȂ 0
;;; LɂȂ 1
;;; l 0
IniRead, IME_toggle_5, %ini_file%, key, henkan + muhenkan
if IME_toggle_5 not in 0,1
{
	IME_toggle_5 = 0
	IniWrite, %IME_toggle_5% , %ini_file%, key, henkan + muhenkan
}

IfEqual, IME_toggle_5, 0
{
	Hotkey, sc07b & sc079, Off
}


List_of_IME_toggle_keys =
	(Join| LTrim
			[Ctrl] + [Space]
			[Win] + [Space]
			[Alt] + [Space]
			[Alt] + [``] ipz̃L[{[hj
			[ϊ] + [ϊ] i{z̃L[{[hj
	)



;;; [ϊ]@[ϊ]@̐ݒ
;;; l 1
IniRead, Which_Muhenkan_Henkan, %ini_file%, key, Muhenkan_Henkan
if Which_Muhenkan_Henkan not between 1 and 4
{
	Which_Muhenkan_Henkan = 1
	IniWrite, %Which_Muhenkan_Henkan%, %ini_file%, key, Muhenkan_Henkan
}

ListOfMuhenkan_Henkan =
			(Join| LTrim
					[ϊ]  [ϊ] ̂܂܎gp
					[ϊ]  [ϊ]  [Ctrl] Ƃ
					[ϊ]  JCtrl (J-Rg[) Ƃ
					Ǝ̃V[gJbgEL[i[ϊ]  [ϊ] Łjgp
			)



;;; ̋NɃEBhEŏ邩
;;; \Ȃ 0
;;; BȂ 1
;;; l 0
IniRead, Minimise_Window, %ini_file%, window, minimise window
if Minimise_Window not in 0,1
{
	Minimise_Window = 0
	IniWrite, %Minimise_Window% , %ini_file%, window, minimise window
}


;;; IME ̔
;;; l 300
IniRead, IMEms, %ini_file%, key, IME ms
if IMEms is not integer
{
	IMEms = 300
	IniWrite, %IMEms%, %ini_file%, key, IME ms
}

SetTimer, IME_GET, %IMEms%


;;; Ō̔
;;; l 80
IniRead, MaximalGT, %ini_file%, key, SimultaneousStroke
if MaximalGT is not integer
{
	MaximalGT = 80
	IniWrite, %MaximalGT%, %ini_file%, key, SimultaneousStroke
}



;;; CL[ĂȂƂ
ListOfSpecialKeyWithoutModified =
	(Join| LTrim
			[ESC]
			[Sp/p]
			[Caps Lock]
			[ Win]
			[ϊ]
			[ϊ]
			[J^Ji/Ђ炪]
			[E Win]
			[j[]
	)

loop, Parse, ListOfSpecialKeyWithoutModified,|
{
	IniRead, SpecialKey_%A_Index%_Var, %ini_file%, key, SpecialKey_%A_Index%_Var
	If SpecialKey_%A_Index%_Var not between 1 and 16
	{
		SpecialKey_%A_Index%_Var = 1
		IniWrite, % SpecialKey_%A_Index%_Var, %ini_file%, key, SpecialKey_%A_Index%_Var
	}

	h := (A_Index = 1) ? "ESC"
	  :  (A_Index = 2) ? "sc029" ; Sp@p
	  :  (A_Index = 3) ? "sc03A" ; CapsLock
	  :  (A_Index = 4) ? "LWin" ;  Win
	  :  (A_Index = 5) ? "sc07B" ; ϊ
	  :  (A_Index = 6) ? "sc079" ; ϊ
	  :  (A_Index = 7) ? "sc070" ; J^Ji@Ђ炪
	  :  (A_Index = 8) ? "RWin" ; E Win
	  :  (A_Index = 9) ? "AppsKey" ; j[
	  :  0

	hotkey_subroutine := SpecialKey_%A_Index%_Var
	hotkey_subroutine = SpecialKey_%hotkey_subroutine%
	Hotkey, %h%, %hotkey_subroutine%
}



;;;}EX邭񂷂ƃXN[
;;; gpȂ 0
;;; gpȂȂ 1
;;; l 0
IniRead, Is_Scroll_mouse, %ini_file%, mouse, Is_Scroll_mouse
if Is_Scroll_mouse not in 0,1
{
	Is_Scroll_mouse = 0
	IniWrite, %Is_Scroll_mouse% , %ini_file%, mouse, Is_Scroll_mouse
}


; u}EX邭񂷂ƃXN[vgpƂ
if (Is_Scroll_mouse = 1)
{
	SetTimer,Scroll_Rotation,10
}




; Scroll_high = 2	;̃XN[Xs[h(1-3)
IniRead, Scroll_high, %ini_file%, mouse, Scroll_high
if Scroll_high not between 1 and 3
{
	Scroll_high = 2
	IniWrite, %Scroll_high%, %ini_file%, mouse, Scroll_high
}

; Scroll_low = 2	;ᑬ̃XN[Xs[h(1-3)
IniRead, Scroll_low, %ini_file%, mouse, Scroll_low
if Scroll_low not between 1 and 3
{
	Scroll_low = 2
	IniWrite, %Scroll_low%, %ini_file%, mouse, Scroll_low
}

; Scroll_sensitivity = 2	;x(1-3)
IniRead, Scroll_sensitivity, %ini_file%, mouse, Scroll_sensitivity
if Scroll_sensitivity not between 1 and 3
{
	Scroll_sensitivity = 2
	IniWrite, %Scroll_sensitivity%, %ini_file%, mouse, Scroll_sensitivity
}

; Scroll_timeout = 50	;^CAEg܂ł̎
IniRead, Scroll_timeout, %ini_file%, mouse, Scroll_timeout
if Scroll_timeout not between 50 and 100
{
	Scroll_timeout = 50
	IniWrite, %Scroll_timeout%, %ini_file%, mouse, Scroll_timeout
}


