; Ǝ̓{zi[}ȕϊ\Łj
path_of_user_Layout_Japanese_RomanKana := A_ScriptDir . "\user\user.Layout.Japanese.RomanKana.txt"

If (WhichJapaneseLayout = 3 ; DvorakJP
    or WhichJapaneseLayout = 5 ; ACT09
    or WhichJapaneseLayout = 7 ; JLODz
    or WhichJapaneseLayout = 12 ; p_z
    or WhichJapaneseLayout = 16 ; イ
    or WhichJapaneseLayout = 19) ; Ǝ̓{zi[}ȕϊ\Łj
{

    RomanKana_file := (WhichJapaneseLayout = 3)  ? A_ScriptDir . "\data\Layout.Japanese.DvorakJP.txt"          ; DvorakJP
                   :  (WhichJapaneseLayout = 5)  ? A_ScriptDir . "\data\Layout.Japanese.ACT09.txt"             ; ACT09
                   :  (WhichJapaneseLayout = 7)  ? A_ScriptDir . "\data\Layout.Japanese.JLOD.txt"              ; JLOD
                   :  (WhichJapaneseLayout = 12) ? A_ScriptDir . "\data\Layout.Japanese.Murakumo.txt"          ; p_z
                   :  (WhichJapaneseLayout = 16) ? A_ScriptDir . "\data\Layout.Japanese.improved_cucumber.txt" ; イ
                   :  (WhichJapaneseLayout = 19) ? path_of_user_Layout_Japanese_RomanKana ; Ǝ̓{zi[}ȕϊ\Łj
                   :  0


    IfExist, %RomanKana_file%
    {
        RomanKanaStrokes =

        FileRead, CustomiseNormal, %RomanKana_file%

        CustomiseNormal := RegExReplace(CustomiseNormal, "s)(/\*.*?\*/)", "`n")
        CustomiseNormal := RegExReplace(CustomiseNormal, "\s{2,}`n", "`n")

        Conv_KanaToRoman(CustomiseNormal)

        Loop, parse, CustomiseNormal, `n, `r
        {
            If (A_Index = 1) ; ݒt@C1s
            {
                Layout_for_RomanKana := (A_LoopField = "Dvorak")      ? "Dvorak"
                                     :  (A_LoopField = "QWERTY OADG") ? "QWERTY_OADG"
                                     :  (A_LoopField = "QWERTY ANSI") ? "QWERTY_ANSI"
                                     :  (A_LoopField = "Colemak")     ? "Colemak"
                                     :  (Layout = 3)                  ? "QWERTY_OADG"
                                     :  (Layout = 4)                  ? "QWERTY_ANSI"
                                     :  (Layout = 5)                  ? "Colemak"
                                     :  (Layout = 6)                  ? "User"
                                     :                                  "Dvorak"
            }
            else ; ݒt@C2sڈȍ~
            {
                CustomiseNormalKeyNum := A_Index

                If (RegExMatch(A_LoopField, "(.+)\t(.+)", cust))
                {
                    CustomiseNormalKey%A_Index% := cust1
                    CustomiseNormalOutput%A_Index% := cust2
                }
                else
                {
                    CustomiseNormalKey%A_Index% =
                }
            }
        }
    }
}

