;;; ============================================================================
;;; ---------------- DvorakJP: ꉹ
;;; ============================================================================


SendDvorakJP_Vowel(ByRef this_key, ByRef prior_key)
{
	global ScanCode
	global Is_PriorHotkey_consonant

	; L[ȊOȂ΁AXg[Np
	Is_PriorStrokesRetainment = 0

	Loop, Parse, ScanCode,|
	{
		If ( RegExMatch(A_PriorHotkey, A_LoopField . "$") )
		{
			If A_PriorHotkey not contains 79,7B
			{
				IfNotInString, A_PriorHotkey,*
					Is_PriorStrokesRetainment = 1
			}
		}
	}

	If (Is_PriorStrokesRetainment = 0)
	{
		Is_PriorHotkey_consonant = 0
	}


	; OɎq͂ĂȂƂ
	If (Is_PriorHotkey_consonant = 0)
	{
		;; q
		If this_key in q,j,k,x
		{
			Is_PriorHotkey_consonant = 1
		}
	}
	else
	{
		this_key := (A_ThisHotkey = "SC010") ? "ai"
				: (A_ThisHotkey = "SC011") ? "ou"
				: (A_ThisHotkey = "SC012") ? "ei"
				: (A_ThisHotkey = "SC02C") ? "ann"
				: (A_ThisHotkey = "SC02D") ? "onn"
				: (A_ThisHotkey = "SC02E") ? "enn"
				: (A_ThisHotkey = "SC02F") ? "unn"
				: (A_ThisHotkey = "SC030") ? "inn"
				: this_key


		If (Is_PriorHotkey_consonant = 2
			 and prior_key = "c")
		{
			Send,k
		}

		Is_PriorHotkey_consonant = 0
	}



	Send,% (prior_key = "c") ? "k" . this_key 
					: this_key

	return
}



;;; ============================================================================
;;; ---------------- DvorakJP: Consonant
;;; ============================================================================


SendDvorakJP_Consonant(ByRef this_key, ByRef prior_key)
{
	global ScanCode
	global Is_PriorHotkey_consonant

	; L[ȊOȂ΁AXg[Np
	Is_PriorStrokesRetainment = 0

	Loop, Parse, ScanCode,|
	{
		If ( RegExMatch(A_PriorHotkey, A_LoopField . "$") )
		{
			If A_PriorHotkey not contains 79,7B
			{
				IfNotInString, A_PriorHotkey,*
					Is_PriorStrokesRetainment = 1
			}
		}
	}

	If (Is_PriorStrokesRetainment = 0)
	{
		Is_PriorHotkey_consonant = 0
	}



	; OɎq͂ĂȂƂ
	If (Is_PriorHotkey_consonant = 0)
	{
		If (this_key = "c")
		{
			this_key = 
		}

		Is_PriorHotkey_consonant = 1
	}
	else 	; OɎq͂ĂƂ
	If (Is_PriorHotkey_consonant = 1)
	{
		If (prior_key = "c")
		{
			If (this_key = "n")
			{
				this_key = ky
			}
			else
			If (this_key = "c")
			{
				this_key =
				Is_PriorHotkey_consonant = 2
			}
			else
			{
				this_key = c%this_key%
			}
		}
		else ; n O[v
		if prior_key in f,g,d,h,t,b,m
		{
			If (this_key = "n")
			{
				this_key = y
			}
		}
		else ; h O[v
		{
			If (this_key = "h")
			{
				this_key = y
			}
			else
			If (prior_key = "n"
				and this_key = "c")
			{
				Is_PriorHotkey_consonant = 1
				this_key = 
			}
			else
			If (prior_key = "n"
				and this_key = "n")
			{
				Is_PriorHotkey_consonant = 0
			}
		}
	}
	else	; OɝXggpĂƂ
	If (Is_PriorHotkey_consonant = 2)
	{
		Is_PriorHotkey_consonant = 1

		this_key := (this_key = "n") ? "kky"
				: (this_key = "h") ? "cch"
				: "kk" . this_key
	}


	Send,%this_key%

	return
}

